> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a counter party

> Retrieve details of a specific counter party.



## OpenAPI

````yaml https://production.hifi.com/api/v3/openapi.json get /v3/users/{userId}/counter-parties/{counterPartyId}
openapi: 3.0.0
info:
  title: Hifi API
  version: 3.0.0
  description: API documentation for HIFI
servers:
  - url: https://production.hifi.com
    description: Production server
  - url: https://sandbox.hifi.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Counter Party
    description: Counter party endpoints
  - name: Crypto Transfer
    description: Crypto transfer and batch transfer endpoints
  - name: Wallet
    description: Wallet and wallet offer endpoints
  - name: External Account
    description: External bank account endpoints (under a counter party)
  - name: External Wallet
    description: External wallet endpoints (under a counter party)
  - name: External Card
    description: External card endpoints (under a counter party)
  - name: Token Swap
    description: Token swap endpoints
  - name: Bridge
    description: Bridge endpoints
  - name: Virtual Account
    description: Virtual account endpoints
  - name: Compliance
    description: Compliance and compliance link endpoints
  - name: Webhook Endpoint
    description: Webhook endpoint endpoints
  - name: File
    description: File upload endpoints
  - name: Onramp
    description: Onramp (fiat to crypto) endpoints
  - name: Offramp
    description: Offramp (crypto to fiat) endpoints
  - name: Orchestration Address
    description: Orchestration (liquidation) address endpoints
  - name: KYC Link
    description: Hosted and custom KYC/KYB link endpoints
  - name: Transfer Approval
    description: Transfer approval endpoints
  - name: Corridor
    description: Supported fiat/crypto transfer corridor endpoints
  - name: Migration
    description: v2-to-v3 ID mapping endpoints
paths:
  /v3/users/{userId}/counter-parties/{counterPartyId}:
    get:
      tags:
        - Counter Party
      summary: Retrieve a counter party
      description: Retrieve details of a specific counter party.
      operationId: v3GetCounterParty
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/CounterPartyIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/GetCounterPartyResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
        pattern: ^user_[A-Za-z0-9]+$
      description: ID of the user.
      required: true
    CounterPartyIdPathParameter:
      name: counterPartyId
      in: path
      required: true
      schema:
        type: string
      description: Public ID of the counter party (prefixed with `cpty_`)
      example: cpty_7bV1aLcs3Kf9dQ2mNpXwZ
  responses:
    GetCounterPartyResponse:
      description: Counter party retrieved successfully.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CounterPartyObject'
          example:
            id: cpty_7dLpR2mNpXwZ7bV1aQz3x
            userId: usr_3Kf9dQ2mNpXwZ7bV1aLcs
            type: BUSINESS
            businessName: Acme Corp
            category: software
            phoneNumber: '+14155552671'
            email: ops@acme.example.com
            taxId: 12-3456789
            incorporationDate: '2015-06-01'
            address:
              addressLine1: 500 Market Street
              city: San Francisco
              stateProvinceRegion: CA
              postalCode: '94105'
              country: USA
            status: ACTIVE
            createdAt: '2026-07-01T10:30:00.000Z'
            updatedAt: '2026-07-01T10:30:00.000Z'
    BadRequestResponse:
      description: Bad Request — the request was malformed or failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: VALIDATION_ERROR
            message: One or more fields are invalid or missing.
            fields:
              - code: invalid_value
                message: Must be a valid email address
                field: email
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFound'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    CounterPartyObject:
      type: object
      description: A counter party.
      properties:
        id:
          type: string
          description: Public ID of the counter party (prefixed with `cpty_`).
          example: cpty_7dLpR2mNpXwZ7bV1aQz3x
        userId:
          type: string
          description: >-
            Public ID of the user this counter party belongs to (prefixed with
            `usr_`).
          example: usr_3Kf9dQ2mNpXwZ7bV1aLcs
        type:
          type: string
          enum:
            - INDIVIDUAL
            - BUSINESS
          example: INDIVIDUAL
        category:
          type: string
          description: Business category. Present for business counter parties.
          example: software
        firstName:
          type: string
          description: Present for individual counter parties.
          example: Jane
        lastName:
          type: string
          description: Present for individual counter parties.
          example: Doe
        businessName:
          type: string
          description: Present for business counter parties.
          example: Acme Corp
        phoneNumber:
          type: string
          example: '+14155552671'
        email:
          type: string
          format: email
          example: jane.doe@example.com
        taxId:
          type: string
          description: Tax identification number.
          example: 123-45-6789
        dateOfBirth:
          type: string
          format: date
          nullable: true
          description: Date of birth. Present for individual counter parties.
          example: '1990-01-15'
        incorporationDate:
          type: string
          format: date
          nullable: true
          description: Date of incorporation. Present for business counter parties.
          example: '2015-06-01'
        nationality:
          type: string
          description: >-
            ISO 3166-1 alpha-3 country code. Present for individual counter
            parties.
          example: USA
        address:
          $ref: '#/components/schemas/CounterPartyAddress'
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          example: ACTIVE
        createdAt:
          type: string
          format: date-time
          example: '2026-07-01T10:30:00.000Z'
        updatedAt:
          type: string
          format: date-time
          example: '2026-07-01T10:30:00.000Z'
    ApiError:
      type: object
      description: >-
        Standard v3 error shape, returned by validation failures and
        business-logic errors alike.
      properties:
        type:
          type: string
          description: >-
            Machine-readable error type, e.g. VALIDATION_ERROR,
            ACTION_NOT_ALLOWED, RESOURCE_CONFLICT.
          example: VALIDATION_ERROR
        message:
          type: string
          description: Human-readable error message.
          example: One or more fields are invalid or missing.
        fields:
          type: array
          description: >-
            Present on field-level validation errors. One entry per problem
            field.
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue.
              message:
                type: string
                description: Error message for the specific issue.
              field:
                type: string
                description: The name of the field that has an issue.
    Unauthorized:
      type: object
      properties:
        type:
          type: string
          description: Unauthorized enum
          example: UNAUTHORIZED
        message:
          type: string
          description: Unauthorized message
          example: Authentication required
    NotFound:
      type: object
      properties:
        type:
          type: string
          example: RESOURCE_NOT_FOUND
          description: The error type, e.g., RESOURCE_NOT_FOUND
        message:
          type: string
          description: A descriptive error message
        fields:
          type: array
          description: List of specific field errors
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue
              message:
                type: string
                description: Error message for the specific issue
              field:
                type: string
                description: The name of the field that has an issue
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          example: INTERNAL_SERVER_ERROR
          description: Internal server error enum
        message:
          type: string
          example: An internal server error occurred
          description: Internal server error message
    CounterPartyAddress:
      type: object
      description: Address of the counter party.
      required:
        - addressLine1
        - city
        - stateProvinceRegion
        - postalCode
        - country
      properties:
        addressLine1:
          type: string
          description: Primary address line.
          example: 123 Main Street
        addressLine2:
          type: string
          description: Secondary address line (apartment, suite, etc.).
          example: Suite 100
        city:
          type: string
          description: City name.
          example: New York
        stateProvinceRegion:
          type: string
          maxLength: 10
          description: State, province, or region.
          example: NY
        postalCode:
          type: string
          description: Postal or ZIP code.
          example: '10001'
        country:
          type: string
          description: ISO 3166-1 alpha-3 country code.
          example: USA
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````